﻿$ErrorActionPreference = 'Stop';

$packageName  = 'urbackup-client'
$toolsDir     = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url = ''

$pp = Get-PackageParameters
if (!$pp.TrayIcon){ 
	$pp.TrayIcon = 'False' 
	$UrExe = 'https://hndl.urbackup.org/Client/2.4.8/UrBackup%20Client%20NoTray%202.4.8.exe'
	$ChkSum = '47133848F51D95C21E72C0D7887CD2B0C37D3891E14FC051D5ECA61D72861DBE'
}
if ($pp.TrayIcon -eq 'False'){
	$UrExe = 'https://hndl.urbackup.org/Client/2.4.8/UrBackup%20Client%20NoTray%202.4.8.exe'
	$ChkSum = '47133848F51D95C21E72C0D7887CD2B0C37D3891E14FC051D5ECA61D72861DBE'
}
if ($pp.TrayIcon -eq 'True'){
	$UrExe = 'https://hndl.urbackup.org/Client/2.4.8/UrBackup%20Client%202.4.8.exe'
	$ChkSum = 'BAD9EA23937CA026F44A5DD79B50FB648914E39E22BF0189A53E81A017CE82C7'
}

#Based on Nsis
$packageArgs = @{
  packageName   = $packageName
  softwareName  = 'urbackup-client*'
  fileType      = 'exe'
  silentArgs    = "/S"
  validExitCodes= @(0)
  url           = $UrExe
  checksum      = $ChkSum
  checksumType  = 'sha256'
  url64bit      = ""
  checksum64    = ''
  checksumType64= 'sha256'
  destination   = $toolsDir
  #installDir   = "" # passed when you want to override install directory - requires licensed editions 1.9.0+
}

Install-ChocolateyPackage @packageArgs

